Loading...
Searching...
No Matches
camera.h File Reference

Camera handling - CCamera class. More...

`#include "graphics/engine/engine.h"`
Include dependency graph for camera.h:

## Classes

class | Gfx::CCamera
| Camera moving in 3D scene. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Enumerations

enum | Gfx::CameraType { Gfx::CAM_TYPE_NULL = 0 , Gfx::CAM_TYPE_FREE , Gfx::CAM_TYPE_EDIT , Gfx::CAM_TYPE_ONBOARD , Gfx::CAM_TYPE_BACK , Gfx::CAM_TYPE_FIX , Gfx::CAM_TYPE_EXPLO , Gfx::CAM_TYPE_SCRIPT , Gfx::CAM_TYPE_VISIT , Gfx::CAM_TYPE_PLANE }
| Type of camera. More...
enum | Gfx::CameraSmooth { Gfx::CAM_SMOOTH_NONE = 0 , Gfx::CAM_SMOOTH_NORM = 1 , Gfx::CAM_SMOOTH_HARD = 2 }
enum | CenteringPhase { CAM_PHASE_NULL = 0 , CAM_PHASE_START = 1 , CAM_PHASE_WAIT = 2 , CAM_PHASE_STOP = 3 }
enum | Gfx::CameraEffect { Gfx::CAM_EFFECT_NULL = 0 , Gfx::CAM_EFFECT_TERRAFORM = 1 , Gfx::CAM_EFFECT_CRASH = 2 , Gfx::CAM_EFFECT_EXPLO = 3 , Gfx::CAM_EFFECT_SHOT = 4 , Gfx::CAM_EFFECT_VIBRATION = 5 , Gfx::CAM_EFFECT_PET = 6 }
enum | Gfx::CameraOverEffect { Gfx::CAM_OVER_EFFECT_NULL = 0 , Gfx::CAM_OVER_EFFECT_BLOOD = 1 , Gfx::CAM_OVER_EFFECT_FADEIN_WHITE = 2 , Gfx::CAM_OVER_EFFECT_FADEOUT_WHITE = 3 , Gfx::CAM_OVER_EFFECT_FADEOUT_BLACK = 4 , Gfx::CAM_OVER_EFFECT_LIGHTNING = 5 }

## Detailed Description

Camera handling - CCamera class.